Package org.apache.maven.scm.provider.git.gitexe.command.changelog

## Class GitChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.changelog.GitChangeLogCommand

All Implemented Interfaces:
  `ChangeLogCommand`, `Command`, `GitCommand`

    public class GitChangeLogCommand
    extends AbstractChangeLogCommand
    implements GitCommand

Author:
  Emmanuel Venisse, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`GitChangeLogCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(GitScmProviderRepository repository, java.io.File workingDirectory, ScmBranch branch, java.util.Date startDate, java.util.Date endDate, ScmVersion startVersion, ScmVersion endVersion)` this constructs creates the commandline for the git-whatchanged command.
`protected ChangeLogScmResult` `executeChangeLogCommand​(ChangeLogScmRequest request)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern, ScmVersion startVersion, ScmVersion endVersion)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern, ScmVersion startVersion, ScmVersion endVersion, java.lang.Integer limit)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern, ScmVersion startVersion, ScmVersion endVersion, java.lang.Integer limit, ScmVersion version)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version, java.lang.String datePattern)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion, java.lang.String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitChangeLogCommand

    public GitChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         ScmVersion startVersion,
                                                         ScmVersion endVersion,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Overrides:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repository,
                                                         ScmFileSet fileSet,
                                                         ScmVersion version,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Overrides:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern,
                                                         ScmVersion startVersion,
                                                         ScmVersion endVersion)
                                                  throws ScmException

Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ChangeLogScmRequest request)
                                                  throws ScmException

Overrides:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern,
                                                         ScmVersion startVersion,
                                                         ScmVersion endVersion,
                                                         java.lang.Integer limit)
                                                  throws ScmException

Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern,
                                                         ScmVersion startVersion,
                                                         ScmVersion endVersion,
                                                         java.lang.Integer limit,
                                                         ScmVersion version)
                                                  throws ScmException

Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(GitScmProviderRepository repository,
                                                                             java.io.File workingDirectory,
                                                                             ScmBranch branch,
                                                                             java.util.Date startDate,
                                                                             java.util.Date endDate,
                                                                             ScmVersion startVersion,
                                                                             ScmVersion endVersion)

this constructs creates the commandline for the git-whatchanged command. Since it uses --since and --until for the start and end date, the branch and version parameters can be used simultanously.